/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomDocumentFragment_H___INT_
#define __GdomDocumentFragment_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomEventTargetNode.h"
#include "GDOMObject.h"
#include "DocumentFragment.h"
G_BEGIN_DECLS
class GDOMDocumentFragment : public GDOMEventTargetNode {
    typedef GDOMEventTargetNode Base;
public:
    int get_gobj_type() { return GDOM_TYPE_DOCUMENT_FRAGMENT; }
    GDOMDocumentFragment(PassRefPtr<WebCore::DocumentFragment> impl);
};
G_END_DECLS

#endif /* __GdomDocumentFragment_H___INT_*/
